# Generated by Django 3.2.12 on 2022-03-03 19:50

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='District',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='District name', max_length=255)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Created date')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Updated date')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Region name', max_length=255)),
                ('common_id', models.PositiveIntegerField(help_text='Real code of region', null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Created date')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Updated date')),
                ('district', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL,
                                               to='devind_dictionaries.district')),
            ],
            options={
                'ordering': ('common_id', 'name'),
            },
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Name', max_length=512)),
                ('present_name', models.CharField(help_text='Name for view', max_length=512)),
                ('inn', models.CharField(help_text='Individual taxpayer number', max_length=16, null=True)),
                ('kpp', models.CharField(help_text='Code of reason', max_length=16, null=True)),
                ('kind', models.CharField(help_text='Type', max_length=64, null=True)),
                ('rubpnubp', models.CharField(help_text='Rubpnubp code', max_length=16, null=True)),
                ('kodbuhg', models.CharField(help_text='Accounting code', max_length=16, null=True)),
                ('okpo',
                 models.CharField(help_text='Russian classifier of enterprises and organizations', max_length=10,
                                  null=True)),
                ('phone', models.CharField(help_text='Phone number', max_length=128, null=True)),
                ('site', models.CharField(help_text='Site url', max_length=128, null=True)),
                ('mail', models.EmailField(help_text='Email', max_length=64, null=True)),
                ('address', models.TextField(help_text='Address', null=True)),
                ('attributes', models.JSONField(help_text='Additional fields')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Created date')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Updated date')),
                ('parent', models.ForeignKey(default=None, help_text='Parent', null=True,
                                             on_delete=django.db.models.deletion.SET_NULL,
                                             to='devind_dictionaries.organization')),
                ('region', models.ForeignKey(default=None, help_text='Region', null=True,
                                             on_delete=django.db.models.deletion.SET_NULL,
                                             to='devind_dictionaries.region')),
            ],
            options={
                'ordering': ('id', 'name'),
            },
        ),
        migrations.AddIndex(
            model_name='district',
            index=models.Index(fields=['name'], name='devind_dict_name_32dce8_idx'),
        ),
        migrations.AddIndex(
            model_name='region',
            index=models.Index(fields=['common_id'], name='devind_dict_common__3505cd_idx'),
        ),
        migrations.AddIndex(
            model_name='region',
            index=models.Index(fields=['name'], name='devind_dict_name_1133f3_idx'),
        ),
        migrations.AddIndex(
            model_name='organization',
            index=models.Index(fields=['id'], name='devind_dict_id_c64e02_idx'),
        ),
        migrations.AddIndex(
            model_name='organization',
            index=models.Index(fields=['name'], name='devind_dict_name_fcd4b1_idx'),
        ),
        migrations.AddIndex(
            model_name='organization',
            index=models.Index(fields=['inn', 'kpp'], name='devind_dict_inn_61082c_idx'),
        ),
    ]
